OVH Community, your new community space.

Actualizar proxmox a 1.0


Camilo
19/02/2009, 14:44
Ya lo he solucionado:

#dpkg -r pve-kvm-2.6.24
#apt-get install -f

Camilo
19/02/2009, 12:21
Cita Publicado inicialmente por Giner OVH
rm -rf /etc/apt/sources.list

vi /etc/apt/sources.list

deb http://ftp.debian.org/debian etch main
# PVE packages provided by proxmox.com
deb http://download.proxmox.com/debian etch pve
# security updates
deb http://security.debian.org/ etch/updates main

wget -O- "http://download.proxmox.com/debian/key.asc" | apt-key add -

apt-get update
apt-get dist-upgrade
reboot

NOTA: Cuidado con servidores en Producción. Testeado en un servidor con Proxmox recien instalado desde el Manager v3.

OVH no tiene ningún compromiso con Proxmox de garantía ni soporte.

Un cordial saludo.

Buenas,

He seguido estas instrucciones y me ha dado este error:

# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree... Done
Calculating upgrade... Done
The following NEW packages will be installed:
cstream liblinux-inotify2-perl pve-kvm
The following packages will be upgraded:
pve-manager qemu-server vzdump
3 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 1784kB of archives.
After unpacking 4686kB of additional disk space will be used.
Do you want to continue [Y/n]?
Get:1 http://download.proxmox.com etch/pve pve-kvm 83-1 [1408kB]
Get:2 http://ftp.debian.org etch/main cstream 2.7.3-1 [27.3kB]
Get:3 http://ftp.debian.org etch/main liblinux-inotify2-perl 1.01-2 [20.6kB]
Get:4 http://download.proxmox.com etch/pve qemu-server 1.0-10 [33.1kB]
Get:5 http://download.proxmox.com etch/pve pve-manager 1.1-3 [276kB]
Get:6 http://download.proxmox.com etch/pve vzdump 1.1-1 [18.4kB]
Fetched 1784kB in 0s (3309kB/s)
Preconfiguring packages ...
Selecting previously deselected package cstream.
(Reading database ... 46122 files and directories currently installed.)
Unpacking cstream (from .../cstream_2.7.3-1_amd64.deb) ...
Selecting previously deselected package liblinux-inotify2-perl.
Unpacking liblinux-inotify2-perl (from .../liblinux-inotify2-perl_1.01-2_amd64.deb) ...
Selecting previously deselected package pve-kvm.
Unpacking pve-kvm (from .../pve-kvm_83-1_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/pve-kvm_83-1_amd64.deb (--unpack):
trying to overwrite `/usr/bin/qemu-nbd', which is also in package pve-kvm-2.6.24
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Preparing to replace qemu-server 1.0-5 (using .../qemu-server_1.0-10_all.deb) ...
Unpacking replacement qemu-server ...
Preparing to replace pve-manager 0.9-5 (using .../pve-manager_1.1-3_all.deb) ...
Unpacking replacement pve-manager ...
Preparing to replace vzdump 1.0-2 (using .../archives/vzdump_1.1-1_all.deb) ...
Unpacking replacement vzdump ...
Errors were encountered while processing:
/var/cache/apt/archives/pve-kvm_83-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


¿Cómo lo puedo solucionar?

gracias

kitamarchas
30/11/2008, 13:25
Proxmox me funciona muy bien, excepto con las KVM (Windows). No consigo llegar desde fuera a la vps KVM Windows... hace una cosa muy extraña.

Si hago ping al vps, me responde OK.
Si en el navegador pongo la IP del vps, me lleva al login de proxmox, osea, al servidor principal...

Tengo una tarjeta NAT que sale a internet con la IP del Proxmox.
Una tarjeta vmbr0 configurada en Windows:
IP- IPFailOver
Puerda de enlace- IPFailOver
Mascara- 255.255.255.255

Hay forma de que si alguien solicite la IP FailOver, no le lleve a la IP principal (Proxmox)??

No se si me he explicado bien...

Giner OVH
30/11/2008, 01:53
rm -rf /etc/apt/sources.list

vi /etc/apt/sources.list

deb http://ftp.debian.org/debian etch main
# PVE packages provided by proxmox.com
deb http://download.proxmox.com/debian etch pve
# security updates
deb http://security.debian.org/ etch/updates main

wget -O- "http://download.proxmox.com/debian/key.asc" | apt-key add -

apt-get update
apt-get dist-upgrade
reboot

NOTA: Cuidado con servidores en Producción. Testeado en un servidor con Proxmox recien instalado desde el Manager v3.

OVH no tiene ningún compromiso con Proxmox de garantía ni soporte.

Un cordial saludo.

apocalipsis
29/11/2008, 16:02
La actual version disponible en ovh de proxmox es 0.9beta... ya fue publicada la version 1.0... pero al leer las instrucciones de actualizacion viene muy bien indicado:

Si el equipo esta instalado en ovh consulte a ovh el procedimiento de actualizacion (el kernel utilizado en la instalacion de proxmox en los equipos de ovh no es un kernel estandar... por ello no puede hacerse una actualizacion estandar)...

Aqui dejo la consulta.